
#define NRF_LOG_MODULE_NAME "APP"

#include "nrf_drv_spi.h"
#include "app_util_platform.h"
#include "nrf_gpio.h"
#include "nrf_delay.h"
#include "boards.h"
#include "app_error.h"
#include <string.h>
#include "nrf_log.h"
#include "nrf_log_ctrl.h"
#include "adxl362_spi_drv.h"

static const nrf_drv_spi_t adxl362_spi = NRF_DRV_SPI_INSTANCE(0);  /**< SPI instance to use with ADXL362. */
static uint8_t m_rx_buf[1];

int main(void)
{
    bsp_board_leds_init();

    APP_ERROR_CHECK(NRF_LOG_INIT(NULL));

    NRF_LOG_INFO("SPI example\r\n");

    // Initialize the ADXL362 SPI Driver by sending it a pointer to the SPI instance to be used
    adxl362_spi_srv_init(&adxl362_spi);

    while (true)
    {
    	adxl362_spi_drv_readRegister(DEVID_AD, m_rx_buf, 1);

        NRF_LOG_FLUSH();

        bsp_board_led_invert(BSP_BOARD_LED_0);
        nrf_delay_ms(1000);
    }
}
